1.12.2 mod not updating to different version

Started by JCLICKER on Mon, 11/09/2020 - 13:16

Topic category: Bugs and solutions

Last seen on 00:37, 13. Nov 2020
Joined Sep 2019
User points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
1.12.2 mod not updating to different version
Mon, 11/09/2020 - 13:17 (edited)

Hello, so I haven't used MCreator in a while and wanted to finish an old mod that I had created around a year ago. I logged on to my laptop, grabbed the files, and transferred it to my PC that I built since the last time I used MCreator, and found that 1.12.2 wasn't supported. While I was disappointed, as 1.12.2 is generally where all mods are on, I didn't mind much. At first I tried the 1.12.2 plugin but it didn't work. I then decided to just update it to 1.15. I found a tutorial on it and did it. It loads in but then gives me the error message "Failed to import element {name of whatever mod element I had}. I pressed skip, but it said that for every single mod element. I pressed skip all after a few seconds of clicking and I found an empty workspace with nothing. 

It said it was caused by a corrupted workspace file, so I decided to load it in on my laptop. I updated from there and it also removed all my items.

Can anyone tell me why this is happening? Thanks!

Edited by JCLICKER on Mon, 11/09/2020 - 13:17
Last seen on 00:37, 13. Nov 2020
Joined Sep 2019
User points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
For some reason I tried…
Mon, 11/09/2020 - 13:29

For some reason I tried again with a copy of the workspace or something and it worked...? It's in 1.14 now.